### Function

# Pango markup_parser_finish

#### Declaration [src]

    gboolean
    pango_markup_parser_finish (
      GMarkupParseContext* context,
      PangoAttrList** attr_list,
      char** text,
      gunichar* accel_char,
      GError** error
    )

#### Description [src]

Finishes parsing markup.

After feeding a Pango markup parser some data with `g_markup_parse_context_parse()`, use this function to get the list of attributes and text out of the markup. This function will not free `context`, use `g_markup_parse_context_free()` to do so.

Available since: | 1.31.0

#### Parameters

`context` | `GMarkupParseContext*`
| A valid parse context that was returned from `pango_markup_parser_new()`
| The data is owned by the caller of the function.
`attr_list` | `PangoAttrList`
| Address of return location for a `PangoAttrList`
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`text` | `char**`
| Address of return location for text with tags stripped.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`accel_char` | `gunichar*`
| Address of return location for accelerator char.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `FALSE` if `error` is set, otherwise `TRUE`.